package com.anthonycicchetti.cs5004.assignment3.pieces

import com.anthonycicchetti.cs5004.assignment3.Board

interface IChessPiece {
    fun getPosition(): Board.BoardLocation
    fun getColor(): Color
    fun canMoveTo(square: Board.BoardLocation): Boolean
    fun canKill(enemyPiece: IChessPiece): Boolean
    fun moveTo(square: Board.BoardLocation): Boolean
}

enum class Color {
    WHITE, BLACK
}