package com.anthonycicchetti.cs5004.assignment5.model

data class Tile(val row: Int, val column: Int, val occupied: Boolean?): Comparable<Tile> {
    override fun compareTo(other: Tile): Int {
        return when {
            this.row < other.row -> return -1
            this.row == other.row -> when {
                this.column < other.column -> return -1
                this.column == other.column -> return 0
                this.column > other.column -> return 1
                else -> 0
            }
            this.row > other.row -> return 1
            else -> 0
        }
    }
}